

    * {
        box-sizing: border-box;
    }

    mShown{
        display: none;
    }

    .dHidden {
        display: none;
    }

    .bufferDiv {
        padding-top: 10em;
        width: 100%;
    }


    .kontaktHidden {
        display: none;
    }

    .invisible {
        display: none;
    }

    /* Sichtbare Klasse */
    .visible {
        display: block;
    }

    .sectionTest {
        width: 100%;
        max-width: 1536px;
    }

    ul {
        list-style-type: none;
        font-family: 'semplicitapro', 'Roboto';
        font-style: normal;
        font-weight: 500;
        font-size: 14px;
        line-height: 24px;
    }

    nav ul {
        list-style-type: none;
        padding: 0;
        margin: 0;
        display: flex;
        justify-content: flex-end;
    }

    nav ul li {
        display: flex;
        margin-right: 20px;
        align-items: center;
        height: 2.5em;
    }

    .nav_information ul, .footer-column ul {
        display: flex;
        flex-direction: column;
        list-style-type: none;
        padding: 0;
        margin-bottom: 0;

    }

    .nav_information ul li, .footer-column ul li {
        display: flex;
        align-items: center;
        margin-bottom: 10px;
    }

    .nav_information ul li a, .footer-column ul li a {
        color: #FFFFFF;
        display: flex;
        align-items: center;
        letter-spacing: 0.03em;
    }

    nav ul li a {
        text-decoration: none;
        color: black;
    }

    .footer-column ul li i {
        padding-right: 0.3em;
    }

    header {
        display: flex;
        justify-content: center;
    }

    .headerMid{
        max-width: 1920px;
        display: flex;
        align-items: center;
        justify-items: center;
        padding: 2.5em;
        width: 100%;

    }


    .header_buffer {
        width: 30%;
    }

    .headerElement {
        font-family: 'semplicitapro', 'Roboto';
        font-style: normal;
        font-weight: 400;
        font-size: 0.9em;
        line-height: 12px;
        letter-spacing: 0.2em;
        text-transform: uppercase;
        color: #333333;

    }

    .booking {
        font-family: 'semplicitapro', 'Roboto';
        font-style: normal;
        font-weight: 900;
        font-size: 20px;
        line-height: 1em;
        letter-spacing: 0.2em;
        text-transform: uppercase;
        color: #333333;
        justify-self: end;
        text-align: right;
        text-decoration: none;
        display: inline-block;
    }

    .bookingContainer {
        position: relative;
        padding-top: 4px;
        margin-right: 8%;
        display: flex;
        align-items: center;
        align-content: end;
        justify-self: end;
        margin-top: 1.1em;

    }

    .nav_list {
        display: flex;
        gap: 20px;
        list-style-type: none;
        margin: 0;
        padding: 0;
    }

    .nav_item {
        position: relative;
        white-space: nowrap;
    }

    .nav-link {
        transition: color 0.3s ease-in-out;
    }
    
    .nav_item3 {
        margin-right: 0;
    }

    .nav-link:hover {
        color: #000;
    }

    .nav-link::before, .nav-link::after {
        content: '';
        position: absolute;
        left: 50%;
        width: 0;
        height: 2px;
        background-color: black;
        transition: width 0.4s ease, left 0.4s ease;
    }

    .nav-link::before {
        top: 0;
    }

    .nav-link::after {
        bottom: 0;
    }

    .nav-link:hover::before, .nav-link:hover::after {
        width: 100%;
        left: 0;
    }

    .header_logo_div {
        grid-column: 1 / 2;
        justify-self: start;
        margin-left: 8%;
    }

    /* image 20 */
    .header_logo {
        display: block;
        width: 11em;
    }

    .header_nav {
        grid-column: 2 / 3;
        justify-self: center;
        margin-top: 1.1em;
    }

    /* ------------- FOOTER ------------- */
    /* Footer */
    footer {

        /* width: 1440px; */
        width: 100%;
        padding: 0;
        left: 0px;
        top: 3635px;
        background-color: #2C2C2C;
        padding-bottom: 1rem;
    }

    .footer-container {
        display: flex;
        justify-content: space-between;
        padding-top: 2rem;
        color: #FFFFFF;
        background-color: #2C2C2C
    }

    .footer-column {
        flex: 1;
        
    }

    .footer-picture {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .footer-column img {
        padding: 2rem;
        max-width: 250px;
        max-height: 250px;
        object-fit: cover;

    }

    /* Line */
    .Footer-line {
        position: absolute;
        width: 1440px;
        height: 0px;
        left: 0px;
        bottom: 70px;

        mix-blend-mode: normal;
        opacity: 0.1;
        border: 0.1px solid #FFFFFF;
    }

    /* © 2016 Landing. All  */
    .Credits {
        font-family: 'semplicitapro', 'Roboto';
        font-style: normal;
        font-weight: 400;
        font-size: 12px;
        line-height: 22px;
        /* identical to box height, or 183% */
        text-align: center;
        margin-right: 2em;

        color: rgba(200, 200, 200, 0.5);
    }

    .smi-ref {
        font-family: 'semplicitapro', 'Roboto';
        font-style: normal;
        font-weight: 400;
        font-size: 12px;
        line-height: 22px;
        /* identical to box height, or 183% */
        text-align: center;

        color: rgba(200, 200, 200, 0.5);
        margin-left: 2em;
        padding-left: 2em;
    }

    .smi_link:link {
        color: purple;
    }

    .end_stuff {
        display: flex;
        justify-content: center;
        align-items: center;
        font-family: 'semplicitapro', 'Roboto';
        font-style: normal;
        font-weight: 400;
        font-size: 12px;
        line-height: 22px;
        /* identical to box height, or 183% */
        text-align: center;

        color: rgba(200, 200, 200, 0.5);
    }

    /* FOLLOW US */
    .socialmedia {

        font-family: 'semplicitapro', 'Roboto';
        font-style: normal;
        font-weight: 700;
        font-size: 20px;
        line-height: 23px;
        display: flex;
        align-items: flex-end;

        color: #FFFFFF;
    }



    .Telefon-Nummer {

        font-family: 'semplicitapro', 'Roboto';
        font-style: normal;
        font-weight: 500;
        font-size: 14px;
        line-height: 24px;
        /* identical to box height, or 171% */
        display: flex;
        align-items: center;
        letter-spacing: 0.03em;

        color: #FFFFFF;
    }


    .email {

        font-family: 'semplicitapro', 'Roboto';
        font-style: normal;
        font-weight: 500;
        font-size: 14px;
        line-height: 24px;
        /* identical to box height, or 171% */
        display: flex;
        align-items: center;
        letter-spacing: 0.03em;

        color: #FFFFFF;
    }


    .Info_Footer {

        font-family: 'semplicitapro', 'Roboto';
        font-style: normal;
        font-weight: 700;
        font-size: 20px;
        line-height: 23px;
        display: flex;
        align-items: flex-end;

        color: #FFFFFF;
    }

    .material-symbols-outlined {
      font-variation-settings:
      'FILL' 0,
      'wght' 200,
      'GRAD' 0,
      'opsz' 24
    }

    .material-icons {
        padding-right: 0.2em;
    }

    .Kontakt_Footer {

        font-family: 'semplicitapro', 'Roboto';
        font-style: normal;
        font-weight: 700;
        font-size: 20px;
        line-height: 23px;
        display: flex;
        align-items: flex-end;

        color: #FFFFFF;
    }


    .Adresse_Footer {

        font-family: 'semplicitapro', 'Roboto';
        font-style: normal;
        font-weight: 500;
        font-size: 14px;
        line-height: 24px;
        /* or 171% */
        letter-spacing: 0.03em;

        color: #FFFFFF;
    }

    .Down-Arrow {
        display: flex;
        justify-content: center;
        font-size: 2em;
        margin-top: 3.5vw;
        margin-bottom: 2.5vw;
        }
    }


    .hidden {
        opacity: 0;
        transform: translateY(20px);
        transition: opacity 0.6s ease-out, transform 0.6s ease-out;
    }

    .visible {
        opacity: 1;
        transform: translateY(0);
    }


    .headerElement {
        line-height: 1.2;
    }


    .success-message{
        font-family: SemplicitaPro;
        width: 100%;
    }

    .subUeberschrift{
        color: #BDBDBD;
        font-size: 3rem;
    }

    .kontaktAufnahme{
        font-size: 2.5rem;
        width: 20%;
        margin-top: 0.5em;
        margin-left: 1em;
    }

    .kontaktSubtext{
        color: #BDBDBD;
        width: 26%;
        margin-top: 0.5em;
        margin-left: 1.7em;
        font-size: 1.5rem;
    }


    .image-container {
        width: 100%; /* Or a fixed width */
        padding-top: 56.25%; /* Aspect ratio: 16:9 (height/width * 100) */
        position: relative;
        overflow: hidden;
    }

    .image-container img {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: max(462px);
        object-fit: cover; /* Adjust as needed (contain, cover, etc.) */
    }




/* Mobile Ansicht */
@media screen and (max-width: 768px) {

    @font-face {
        font-family: "SemplicitaPro";
        src: url(Fonts/SemplicitaPro.otf);
    }

    html{
        overflow-x: hidden;

    }
    body{

        overflow-x: hidden;
        margin: 0;


    }

    header{
        max-width: 200vw;
        display: flex;
        align-items: center;
        justify-items: center;
        padding: 2.5em;
        width: 100%;
        font-family: "semplicitapro";
        font-weight: 400;
    }

    .mTermin:link{
        color: black;
        text-decoration: none;
    }
    .mTermin:visited{
        color: black;
        text-decoration: none;
    }

    main{
        width: 100%;
        margin: 1em;
        font-family: SemplicitaPro;

    }

    footer{
        font-family: SemplicitaPro;
    }

    .test{
        margin-left: 0.5em;
        padding-right: 1em;
        margin-top: 6em;
        max-width: 1536px;
    }

    .mHidden{
        display: none;
        visibility: hidden;
    }

    .mShown{
        display: block;
    }

    img{
        width: 100%;
    }



    .mHeader{
        position: static;
        display: flex;
        justify-content: space-between;
        margin: 0;
        padding: 0;
        padding-right: 0.5em;
        padding-left: 0.5em;
        padding-top: 0.5em;
        padding-bottom: 0.5em;
        width: 100%;
        position: fixed;
        background-color: white;
        z-index: 1002;

    }

    .mHeaderLogo{
        width: 5em;
        z-index: 1001;
    }

    .mMenüHr{
        color: black;
        background-color: black;
        height: 1px;
        padding: 0;
        margin-top: 0.3em;
        margin-bottom: 0.3em;
        border: none;

    }

    .mMenü{
        margin-right: 0.3em;
    }

    .mTerminBuchen{
        z-index: 1001;
        line-height: 1em;
        font-weight: 500;
        letter-spacing: 0.15em;
    }

    .menüLinks{
        padding-top: 8em;

    }
    .menüRechts{
        float: right;
        padding-right: 2em;
        padding-top: 4em;
    }

    .sideMenuLink:visited{
        color: black;
        text-decoration: none;
    }
    .sideMenuLink:link{
        color: black;
        text-decoration: none;

    }

    .sideMenuLink{
        font-size: 1.8em;
        margin-top: 20em;
        line-height: 1.3em;
        font-family: SemplicitaPro;

    }

    .navElement{
        margin-bottom: 2em;
    }




    /* Grundlegendes Styling für das Menü und Animation */
    .sideMenu {
        position: fixed;
        left: -100%;
        top: 0;
        width: 100%;
        height: 100%;
        background-color: white;
        color: white;
        transition: left 0.3s ease;
        z-index: 1000;
    }

    .sideMenu.open {
        left: 0;
    }

    .mMenü {
        font-weight: 500 ;
        cursor: pointer;
        position: relative;
        z-index: 1001; /* Höher als das sideMenu */
        letter-spacing: 0.08em;
    }

    .mMenüHr {
        transition: transform 0.3s ease;
    }

    .mMenüText {
        display: inline-block;
        transition: opacity 0.3s ease;


    }

    .mMenü.open .mMenüText {
        opacity: 0;
    }

    .mMenüHr {
        transition: transform 0.2s ease, opacity 0.2s ease;
    }

    .mMenü.open .topHr {
        transform: translateY(17.2px)  rotate(-45deg) /* Erstes Zusammenführen */

    }

    .mMenü.open .bottomHr {
        transform: translateY(-17.2px)  rotate(45deg) /* Erstes Zusammenführen */

    }

    a{
        color: white;
        text-decoration: none;
    }
    a:visited{
        color: white;
    }





    .mFooter{
        background-color: black;
        display: flex;
        flex-direction: row;
        padding-top: 1em;
        align-items: center;
        margin-left: 0;
        padding-left: 0;
        left: 0;


    }
    .footerLogo{
        width: 4em;

        margin-right: 1em;
        margin-left: 1em;
        height: 100%;
    }

    .mInfoFooter{
        display: flex;
        flex-direction: column;
        width: 100%;
    }

    .iconAtext{
        display: flex;
        flex-direction: row;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }
    .mInfoTop{
        display: flex;
        flex-direction: row;
        justify-content: center;
        gap: 1em;
    }
    .Telefon-Nummer{
        font-size: 0.5em;
    }
    .email{
        font-size: 0.5em;
    }
    .mInfoBot{
        display: flex;
        flex-direction: row;
        justify-content: space-around;
        font-size: 0.5em;
    }
    .mFooter{
        color: white;
    }
    .footerRights{
        font-size: 0.4em;
        padding-left: 1em;
        height: 100%;
        color: grey;
        text-align: center;
    }


    .success-message{
        margin-top: 4em;
    }


    .Msmi-ref{
        font-size: 0.7em;
        margin-top: 1em;
        text-align: center;
    }


    #confirmation {
        padding: 20px;
        border: 1px solid #ccc;
        background-color: #f9f9f9;
        text-align: center;
    }

    #resendButton {
        margin-top: 10px;
        padding: 8px 12px;
        background-color: #007bff;
        color: white;
        border: none;
        cursor: pointer;
    }

    .kontaktHidden {
        display: none;
    }

    .success-message{
        font-family: SemplicitaPro;
        width: 90%;
        margin-bottom: 2em;
    }

    .subUeberschrift{
        color: #BDBDBD;
        font-size: 2.5rem;

    }

    .kontaktAufnahme{
        font-size: 2rem;
        width: 100%;
        margin-top: 0.5em;
        margin-left: 0;
    }

    .kontaktSubtext{
        color: #BDBDBD;
        width: 80%;
        margin-top: 0.5em;
        margin-left: 0;
        font-size: 1.5rem;
    }




}



